Description

There could be some misunderstandings in "Layer properties" when you change Layer name.

I think after "displayed as", text should not be in side textbox, but just plain text. See image.

Tested on Win7, master revision A60e74a

History

#1 - 2013-05-15 01:00 PM - Larry Shaffer

Hello Pekka,

There are several reasons for the way it is and why not to use a text label:

    -  If the proposed text label is significantly long, it will make the width of the dialog grow too much. If wrapping is applied to the text label, some platforms

have a height-for-width bug that does not handle the wrapping correctly and causes excessive height to be added to the encompassing container widget.

There is no workaround for that bug and it is in several versions of Qt.

    -  With the current 'displayed as' line edit box content can be any length and not affect the dialog's layout.

    -  The proposed text label does not offer copying of the text. The current line edit does. There should be no confusion about which one a user can edit

since the 'displayed as' line edit box is read-only and not editable.

I do think your proposed text label would look cleaner, but there is some reasoning behind the way it currently is.

#2 - 2013-05-16 10:44 PM - Pekka Sarkola

Hi Larry,

Ok, I see you point.

However, I was one of those rare people who try to edit "displayed as" text box. And get confused, why there is two same looking field and only one was

editable. Maybe I'm just 1% (or 1%%) of users, but still I think those field should be more different than now.

Maybe fill of 2nd Textbox could be transparent or other color than white.

P

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

2024-04-28 1/2



- Easy fix? set to No

#4 - 2017-09-22 10:06 AM - Jürgen Fischer

- Category set to Unknown
